html,body{
    overflow-x: hidden;
}

.hero-img{
    object-fit:cover;
    height: 100vh;
    filter:brightness(60%);
}
.property-card{
    transition: 0.3s;
}
.property-card:hover{
    transform: translateY(-5px);
    box-shadow: 0 0 25px rgba(5, 107, 66, 0.562);
}
.card{
    transition: 0.3s;
}
.card:hover{
    transform: translateY(-5px);
    box-shadow: 0 0 25px rgba(5, 107, 66, 0.562);
}
.btn{
    transition: 0.3s;
}
.btn:hover{
    transform: translateY(-5px);
    box-shadow: 0 0 25px rgba(5, 107, 66, 0.562);
}






















/* section Popular Properties */
.price{
  position: relative;
  display: inline-block;
  padding-bottom: 8px;
}
.price::after{
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 3px;
  background-color: #198754;
  border-radius: 2px;
}










/* section learn more */
.icon{
    font-size: 40px;
}
.feature-card a{
    color: rgb(21, 77, 21);
    font-size: 20px;
}
.learn-more{
    float: left;
    margin: 10px 50px;
    list-style: none;
    position: relative;
}
.learn-more:before{
    content: "";
    position: absolute;
    transition: 0.5s;
    width: 0px;
    height:2px;
    background-color: rgb(21, 77, 21);
    top:100%;
}
.learn-more:hover:before{
    width: 100px;
    transform: scale(1);
}

















/* section Let's find home that's perfect for you icons */
.circle{
    display: inline-block;
    border: 2px solid transparent;
    border-radius: 50%;
    transition: border 0.3s;
}
.circle:hover{
    transform: translateY(-5px);
    border-color: gray;
}















/* section our agent */
.agent-img{
width:90px;
height:90px;
object-fit:cover;
margin-top:-60px;
border:4px solid white;
}
.agent-card{
border-radius:10px;
transition:0.3s;
}
.agent-card:hover{
transform:translateY(-10px);
}
.social{
width:35px;
height:35px;
display:flex;
align-items:center;
justify-content:center;
background:#0d2b55;
color:white;
border-radius:50%;
text-decoration:none;
font-size:14px;
transition:0.3s;
}
.social:hover{
background:#1a4c8f;
transform: translateY(-3px);
}












/* section footer */
footer{
    background-color: rgba(128, 128, 128, 0.212);
}
.icon-btn{
transition:0.3s;
}
.icon-btn:hover{
transform:translateY(-5px);
}












/* icons' contact us */
.icon-box{
    width:45px;
    height:45px;
    border-radius:50%;
    background:#0d1f3f;
    display:flex;
    align-items:center;
    justify-content:center;
    transition:0.3s;
}
.icon-box i{
    color:#fff;
}
.icon-box:hover{
    background:rgb(5, 80, 5);
    transform:translateY(-5px);
}















.reveal{
  opacity:0;
  transform: translateY(60px);
  transition: all 0.6s ease;
}

.reveal.active{
  opacity:1;
  transform: translateY(0);
}